APROPOS(1)

NAVN
apropos - søg i manualens sidenavne og beskrivelser

SYNOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s liste] [-m system[,...]] [-M sti] [-L sprog] [-C fil] nøgleord ...

BESKRIVELSE
Hver manualside har en kort beskrivelse tilgængelig. apropos søger i beskrivelserne efter resultater indeholdende nøgleord. nøgleord er normalt et regulært udtryk, som om (-r) blev brugt, eller kan indeholde jokertegn (-w), eller matche det præcise nøgleord (-e). Ved brug af disse tilvalg kan det være nødvendigt at placere nøgleord i citationstegn eller escape (\), de specielle tegn der stopper skallen fra at fortolke dem. De normale matchregler tillader at match foretages mod sidenavnet og ordgrænser i beskrivelsen. Databasen der søges i af apropos opdateres af programmet mandb. Afhængig af din installation kan dette enten køres af et regelmæssigt cronjob eller skal køres manuelt efter at nye manualsider er blevet installeret.

TILVALG

-d, --debug
    Vis fejlsøgningsinformation.

-v, --verbose
    Vis uddybende advarsler.

-r, --regex
    Fortolk hvert nøgleord som et regulært udtryk. Dette er standardopførelsen. Hvert nøgleord vil blive matchet mod sidenavnene og beskrivelserne uafhængigt. Programmet kan matche enhver del af begge. Matchen er ikke begrænset til ordgrænser.

-w, --wildcard
    Interpret each keyword as a pattern containing shell style wildcards. Each keyword will be matched against the page names and the descriptions independently. If --exact is also used, a match will only be found if an expanded keyword matches an entire description or page name. Otherwise the keyword is also allowed to match on word boundaries in the description.

-e, --exact
    Hvert nøgleord vil blive matchet mod sidenavnene og beskrivelserne.

-a, --and
    Vis kun punkter som mathcer alle de angivne nøgleord. Standarden er at vise punkter som matcher alle nøgleord.

-l, --long
    Tilpas ikke resultatet til terminalbredden. Normalt vil resultatet blive forkortet til terminalbredden for at undgå grimme resultater fra dårligt skrevet NAVN-afsnit.

-s liste, --sections liste, --section liste
    Søg kun i de angivne manualafsnit. liste er en kolon- eller kommaadskilt liste af afsnit. Hvis et punkt i liste er et simpelt afsnit, for eksempel »3«, så vil den viste beskrivelsesliste inkludere sider i afsnit »3«, »3perl«, »3x« og så videre; mens at hvis et punkt i liste har en udvidelse, for eksempel »3perl«, så vil listen kun inkludere sider i den præcise del af manualafsnittet.

-m system[,...], --systems=system[,...]
    Hvis dette system har adgang til andre operativsystemers beskrivelser af manualsider, så kan der søges i disse med brug af dette tilvalg. For at søge i beskrivelserne for nyt operativsystem bruges tilvalget -m NytOperativsystem. Det specificerede system kan være en kombination af kommaadskilte operativsystemnavne. For at inkludere en søgning i det normale operativsystems whatis-beskrivelser, så inkluder systemnavnet man i parameterstrengen. Dette tilvalg vil overskrive $SYSTEM-miljøvariablen.

-M sti, --manpath=sti
    Specify an alternate set of colon-delimited manual page hierarchies to search. By default, apropos uses the $MANPATH environment variable, unless it is empty or unset, in which case it will determine an appropriate manpath based on your $PATH environment variable. This option overrides the contents of $MANPATH.

-L sprog, --locale=sprog
    apropos vil normalt bestemme dit lokale sprog med et kald til C-funktionen setlocale(3), som undersøger diverse miljøvariabler, muligvis inklusive $LC_MESSAGES og $LANG. For midlertidigt at overskrive den afslørede værdi bruges dette tilvalg til at supplere en sprog-streng direkte til apropos. Bemærk at det ikke vil træde i kraft før søgningen efter sider rent faktisk begynder. Resultatet såsom hjælpebeskeden vil altid blive vist i det oprindeligt bestemte sprog.

-C fil, --config-file=fil
    Brug denne brugerkonfigurationsfil frem for standarden ~/.manpath.

-?, --help
    Vis en hjælpebesked og afslut.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionsinformation.

AFSLUT-STATUS

0   Programkørsel endt uden fejl.

1   Brugs-, syntaks- eller konfigurationsfilfejl.

2   Operationel fejl.

16  Intet blev fundet som matchede de angivne kriterier.

MILJØ

SYSTEM
    Hvis $SYSTEM er angivet, vil det have den samme effekt, som hvis den var blevet angivet som argument for tilvalget -m.

MANPATH
    If $MANPATH is set, its value is interpreted as the colon-delimited manual page hierarchy search path to use.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, an ioctl(2) if available, or falling back to 80 characters if all else fails.

POSIXLY_CORRECT
    If $POSIXLY_CORRECT is set, even to a null value, the default apropos search will be as an extended regex (-r). Nowadays, this is the default behaviour anyway.

FILER

/usr/share/man/index.(bt|db|dir|pag)
    Et traditionelt globalt index-databasemellemlager.

/var/cache/man/index.(bt|db|dir|pag)
    Et FHS-overholdende globalt index-databasemellemlager.

/usr/share/man/.../whatis
    En traditionel whatis-tekstdatabase.

SE OGSÅ
man(1), whatis(1), mandb(8)

FORFATTER
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).